# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           googsystray
Version:        1.3.1
Release:        alt1_13
Summary:        A system tray application for accessing various (online) Google apps

Group:          Networking/WWW
License:        GPLv3
URL:            http://googsystray.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  gettext gettext-tools, intltool, desktop-file-utils
Requires:       python >= 2.6 python-module-pygtk python-module-pygtk-demo, icon-theme-hicolor, python-module-xlib
# remove included python-xlib (called gXlib here)
Patch0:         googsystray-nogxlib.patch
Source44: import.info

%description
Googsystray is a system tray app for Google Voice, GMail, Google Calendar, 
Google Reader, and Google Wave. The idea is to be able to keep track of all 
that stuff without having to keep a bunch of browser tabs open, or constantly 
checking them. It notifies on new messages, alerts, etc., and provides basic 
services quickly (Reading or sending a new SMS message, or marking an email 
read, for example.)

%prep
%setup -q 
%patch0 -p1 -b .nogxlib
rm -rf googsystray/gXlib
# remove unnecessary shebang
sed -i 1d googsystray/htmltextview.py

%build
# build locales first
python setup.py i18n --force 
python setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang googsystray
desktop-file-install \
    --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
    pkg/freedesktop/%{name}.desktop
mkdir ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
install -m 644 pkg/freedesktop/64x64/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/googsystray.png
rm -f ${RPM_BUILD_ROOT}%{_datadir}/icons/%{name}.png

%files -f %{name}.lang
%doc CHANGELOG CREDITS LICENSES TODO
%{_bindir}/googsystray
%{python_sitelibdir_noarch}/%{name}-%{version}-*.egg-info
%dir %{python_sitelibdir_noarch}/%{name}
%{python_sitelibdir_noarch}/%{name}/*
%{_datadir}/applications/googsystray-settings.desktop
%{_datadir}/applications/googsystray.desktop
%{_datadir}/applications/googsystray-ical.desktop
%{_datadir}/pixmaps/googsystray.png
%{_datadir}/icons/hicolor/*/apps/googsystray.png


%changelog
* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_13
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_10
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_8
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_5
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_4
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.1-alt1_3
- initial fc import

